package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * 考试考题题备选答案对象 el_exam_qu_answer
 *
 * @author liubo
 * @date 2021-12-13
 */
@ApiModel("考试考题题备选答案")
public class ElExamQuAnswer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 考试关联类别ID
     */
    @Excel(name = "考试关联类别ID")
    @ApiModelProperty(value = "考试关联类别ID")
    private Long examQuId;
    /**
     * 回答项ID
     */
    @Excel(name = "回答项ID")
    @ApiModelProperty(value = "回答项ID")
    private Long answerId;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID")
    @ApiModelProperty(value = "题目ID")
    private Long quId;
    /**
     * 是否正确项
     */
    @Excel(name = "是否正确项")
    @ApiModelProperty(value = "是否正确项")
    private Integer isRight;
    /**
     * 是否选中
     */
    @Excel(name = "是否选中")
    @ApiModelProperty(value = "是否选中")
    private Integer checked;
    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 选项标签
     */
    @Excel(name = "选项标签")
    @Length(message = "选项标签长度不能超过64")
    @ApiModelProperty(value = "选项标签")
    private String abc;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAnswerId(Long answerId) {
        this.answerId = answerId;
    }

    public Long getAnswerId() {
        return answerId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getAbc() {
        return abc;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public Long getExamQuId() {
        return examQuId;
    }

    public void setExamQuId(Long examQuId) {
        this.examQuId = examQuId;
    }
}
